@echo off
chcp 65001 > nul
cls
echo Schritt 1 - Systemdateien überprüfen
echo ====================================
sfc /scannow
timeout /t 2 > nul
echo.
echo.
echo Schritt 2 - Prüfen ob Image repariert werden kann
echo =================================================
DISM /Online /Cleanup-Image /ScanHealth
timeout /t 2 > nul
echo.
echo.
echo Schritt 3 - Prüfen ob Beschädigungen erkannt wurden
echo ===================================================
DISM /Online /Cleanup-Image /CheckHealth
timeout /t 2 > nul
echo.
echo.
echo Schritt 4 - Image reparieren
echo ============================
DISM /Online /Cleanup-Image /RestoreHealth
timeout /t 2 > nul
echo.
echo.
echo Schritt 5 - Neustart?
echo =====================
choice /C JN /M "Möchten Sie das System jetzt neu starten? (J/N)"
if errorlevel 2 (
    echo Das Fenster kann jetzt geschlossen werden.
    pause
    exit
) else (
    echo System wird neu gestartet (mit 15 Sekunden Zeitverzögerung)...
    shutdown /r /t 15
)